package cn.com.ty.lift.business.project.dao.mapper;


import cn.com.ty.lift.business.project.dao.entity.Project;
import cn.com.ty.lift.business.project.dao.entity.model.ProjectRequest;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * MyBatis Mapper 接口 - 表：project
 *
 * @since 2019-11-28 15:52:37
 */
public interface ProjectMapper extends BaseMapper<Project> {

    int deleteByPrimaryKey(Long id);

    int insert(Project record);

    int insertSelective(Project record);

    Project selectByPrimaryKey(Long id);

    List<Project> findByCondition(IPage page, @Param("request") ProjectRequest request);

    int updateByPrimaryKeySelective(Project record);

    int updateByPrimaryKey(Project record);

    List<Project> selectBatchIds(@Param(Constants.COLLECTION) List<String> ids);

}