package cn.com.ty.lift.enterprise.common;

import cn.com.ty.lift.common.utils.AliyunOSSUtil;
import cn.com.ty.lift.common.utils.SnowflakeIdWorker;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author wcz
 * @date 2019/12/3
 * @description
 */
@Configuration
public class Conf {



    @Bean
    public SnowflakeIdWorker createSnowflakeIdWorker(){
        return SnowflakeIdWorker.me();
    }

    @Bean
    public AliyunOSSUtil createAliyunOSSUtil(){
        return AliyunOSSUtil.me();
    }
}
