package cn.com.ty.lift.system.user.dao.mapper;

import cn.com.ty.lift.system.user.dao.entity.Role;
import cn.com.ty.lift.system.user.dao.entity.model.RoleRequest;
import cn.com.xwy.boot.mybatis.MyBatisMapper;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * MyBatis Mapper 接口 - 表：role
 * @since 2019-12-01 15:46:21
 */
@MyBatisMapper
public interface RoleMapper {
	int deleteByPrimaryKey(Long id);

	int insert(Role record);

	int insertSelective(Role record);

	Role selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(Role record);

	int updateByPrimaryKey(Role record);

	/**
	 * @description 获取角色列表
	 * @date 2019/11/27 10:03 AM
	 * @param roleRequest 角色请求类
	 * @return
	 */
    RestResponse getByRoleRequest(RoleRequest roleRequest);
}